unit mainunit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, qrbonus;

type

  TDDPrintjob = class(TQRPrintjob)

  protected
      procedure CreateOutput; override;

  end;

  Tmainform = class(TForm)
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  mainform: Tmainform;
  page1, page2 : TMetafile;

implementation
uses repunit, bioreport, qrprntr, printers;
{$R *.dfm}

procedure TDDPrintJob.CreateOutput;
var
   k : integer;
begin
      qrPrn.BeginDoc;
      for k := 1 to 3 do
      begin
         qrPrn.NewPage;
         page1 := repform.QuickRep1.QRPrinter.PageList.GetPage(k);
         page2 := fishrep.QuickRep1.QRPrinter.PageList.GetPage(k);
         qrPrn.Canvas.StretchDraw( RECT(0,0, page1.Width, page1.Height), page1);
         qrPrn.Canvas.StretchDraw( RECT(470,0, 470+page2.Width, page2.Height), page2);
      end;
      qrPrn.endDoc;
end;

procedure Tmainform.SpeedButton1Click(Sender: TObject);
begin
     repform.QuickRep1.Preview;
end;

procedure Tmainform.SpeedButton2Click(Sender: TObject);
var
    newRep : TQRPrintJob;
begin
     repform.QuickRep1.Prepare;
     fishrep.QuickRep1.Prepare;
     newrep := TDDPrintJob.Create;
     newrep.parentreport.PreviewWidth := 900;
     newrep.parentreport.PreviewHeight := 650;
     newrep.parentreport.Page.PaperSize := A4;
     newrep.parentreport.Page.Orientation := poLandscape;
     newrep.parentreport.PreviewHeight := 600;
     newrep.parentreport.PrevInitialZoom := qrZoomother;
     newrep.Preview;
     newrep.Free;
end;

end.
